Xapian: API Documentation: Xapian::DocNotFoundError Class Reference

xapian-core 2.0.0

Public Member Functions | List of all members
Xapian::DocNotFoundError Class Reference

Indicates an attempt to access a document not present in the database. More...

`#include <error.h>`

Inheritance diagram for Xapian::DocNotFoundError:
[legend]

## Public Member Functions
| DocNotFoundError (std::string_view msg_, std::string_view context_={}, int errno_=0)
| General purpose constructor.
| DocNotFoundError (std::string_view msg_, int errno_)
| Construct from message and errno value.
Public Member Functions inherited from Xapian::Error
| Error (const Error &)=default
| Default copy constructor.
const char * | get_type () const noexcept
| The type of this error (e.g. "DocNotFoundError".).
const std::string & | get_msg () const noexcept
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const noexcept
| Optional context information.
const char * | get_error_string () const
| Returns any system error string associated with this exception.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Indicates an attempt to access a document not present in the database.

## Constructor & Destructor Documentation

## ◆ DocNotFoundError() [1/2]

Xapian::DocNotFoundError::DocNotFoundError | ( | std::string_view | msg_,
|  | std::string_view | context_ = {},
|  | int | errno_ = 0 )
| inlineexplicit

General purpose constructor.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  context_ | Optional context information for this error.
  errno_ | Optional errno value associated with this error.

## ◆ DocNotFoundError() [2/2]

Xapian::DocNotFoundError::DocNotFoundError | ( | std::string_view | msg_,
|  | int | errno_ )
| inline

Construct from message and errno value.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h